#ifndef UPGRADEAPKDIALOG_H
#define UPGRADEAPKDIALOG_H

#include <QDialog>
#include <QTreeWidgetItem>
#include "wupgradeapkitem.h"

class UpgradeApkDialog : public QDialog {
    Q_OBJECT
public:
    explicit UpgradeApkDialog(QWidget *parent = nullptr);
    QString filePath, fileId;
protected:
    virtual void keyPressEvent(QKeyEvent *ev);
protected slots:
    void FilterProgram(const QString &strtemp);

private:
    void onAddLedCard(LedCard *p);

    LoQTreeWidget *table;
    QTreeWidgetItem *m_headerItem=nullptr;
};

#endif // UpgradeApkDialog_H
